<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="cdb932d9-7e58-4d94-93a9-e7b232ef17da" name="Default" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__com_google_protobuf_protobuf_java_3_6_1.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__com_opencsv_opencsv_4_6.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__commons_beanutils_commons_beanutils_1_9_3.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__commons_collections_commons_collections_3_2_2.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__commons_logging_commons_logging_1_2.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__mysql_mysql_connector_java_8_0_17.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_commons_commons_collections4_4_2.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_commons_commons_lang3_3_8_1.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_apache_commons_commons_text_1_3.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_openjfx_javafx_base_11_ea_19.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_openjfx_javafx_base_win_11_ea_19.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_openjfx_javafx_controls_11_0_1.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_openjfx_javafx_controls_win_11_ea_19.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_openjfx_javafx_fxml_11_0_1.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_openjfx_javafx_fxml_win_11_0_1.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_openjfx_javafx_graphics_11_ea_19.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_openjfx_javafx_graphics_win_11_ea_19.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/compiler.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/compiler.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/dataSources.local.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/dataSources.local.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/dataSources/3cbf647c-6f57-4b75-976b-38b39276184b.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/dataSources/e7eb8dd0-0dcd-4611-9e1a-2dd4586056da.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/dataSources/e7eb8dd0-0dcd-4611-9e1a-2dd4586056da.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/commons_lang3_3_9.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/mysql_connector_java_8_0_15.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/libraries/opencsv_4_6.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Documents/logs.txt" beforeDir="false" afterPath="$PROJECT_DIR$/Documents/logs.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/finalEbook.iml" beforeDir="false" afterPath="$PROJECT_DIR$/finalEbook.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/AddTag$1.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/AddTag$2.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/AddTag.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/AddTagToBook$1.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/AddTagToBook.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/AuthorController.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/AuthorForm.fxml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/BookController$1.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/BookController$2.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/BookController.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/BookForm.fxml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/Controller$1.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/Controller$2.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/Controller.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/Main.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/ShowTagsofBook$1.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/ShowTagsofBook.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/editCommentForm.fxml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/editCommentFormController$1.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/editCommentFormController$2.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/editCommentFormController.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/images/addbook.jpg" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/images/addtag.jpg" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/images/deletebook.jpg" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/images/export.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/images/import.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/images/refresh.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/UI/sample.fxml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Author.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Comment.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Dao/BookDao$Action.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Dao/BookDao.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Dao/BookTagDao.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Dao/CommentDAO$CommentStatement.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Dao/CommentDAO.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Dao/QueryDao$Query.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Dao/QueryDao.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Dao/SearchDao.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Dao/TagDao.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Ebook.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Export.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/FileCopy.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Filter.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Import.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Manager.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Table.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Tag.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/finalEbook/model/Zip.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/AddTag.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/AddTagToBook.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/AuthorController.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/AuthorForm.fxml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/BookController.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/BookForm.fxml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/Controller.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/Main.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/ShowTagsofBook.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/editCommentForm.fxml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/editCommentFormController.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/images/addbook.jpg" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/images/addtag.jpg" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/images/deletebook.jpg" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/images/export.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/images/import.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/images/refresh.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/UI/sample.fxml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Author.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Comment.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Dao/BookDao.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Dao/BookTagDao.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Dao/CommentDAO.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Dao/QueryDao.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Dao/SearchDao.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Dao/TagDao.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Ebook.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Export.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/FileCopy.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Filter.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Import.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Manager.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Table.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Tag.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/model/Zip.java" beforeDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeInsightWorkspaceSettings">
    <option name="optimizeImportsOnTheFly" value="true" />
  </component>
  <component name="CreatePatchCommitExecutor">
    <option name="PATCH_PATH" value="" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="bookdatabase@localhost" type="feb32156:DbDataSourceImpl" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="bookdatabase@localhost" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
      </path>
      <path>
        <item name="Database" type="3277223f:DatabaseStructure$DbRootGroup" />
        <item name="bookdatabase@localhost" type="feb32156:DbDataSourceImpl" />
        <item name="schemas" type="d4e8921:DatabaseStructure$FamilyGroup" />
        <item name="bookdatabase: schema" type="76f4a085:MysqlImplModel$Schema" />
      </path>
    </expand>
    <select />
  </component>
  <component name="DebuggerManager">
    <breakpoint_any default_suspend_policy="SuspendAll" default_condition_enabled="true" converted="true">
      <breakpoint>
        <option name="NOTIFY_CAUGHT" value="true" />
        <option name="NOTIFY_UNCAUGHT" value="true" />
        <option name="ENABLED" value="false" />
        <option name="LOG_ENABLED" value="false" />
        <option name="LOG_EXPRESSION_ENABLED" value="false" />
        <option name="SUSPEND_POLICY" value="SuspendAll" />
        <option name="SUSPEND" value="true" />
        <option name="COUNT_FILTER_ENABLED" value="false" />
        <option name="COUNT_FILTER" value="0" />
        <option name="CONDITION_ENABLED" value="true" />
        <option name="CLASS_FILTERS_ENABLED" value="false" />
        <option name="INSTANCE_FILTERS_ENABLED" value="false" />
        <option name="CONDITION" value="" />
        <option name="LOG_MESSAGE" value="" />
      </breakpoint>
      <breakpoint>
        <option name="NOTIFY_CAUGHT" value="true" />
        <option name="NOTIFY_UNCAUGHT" value="true" />
        <option name="ENABLED" value="false" />
        <option name="LOG_ENABLED" value="false" />
        <option name="LOG_EXPRESSION_ENABLED" value="false" />
        <option name="SUSPEND_POLICY" value="SuspendAll" />
        <option name="SUSPEND" value="true" />
        <option name="COUNT_FILTER_ENABLED" value="false" />
        <option name="COUNT_FILTER" value="0" />
        <option name="CONDITION_ENABLED" value="true" />
        <option name="CLASS_FILTERS_ENABLED" value="false" />
        <option name="INSTANCE_FILTERS_ENABLED" value="false" />
        <option name="CONDITION" value="" />
        <option name="LOG_MESSAGE" value="" />
      </breakpoint>
    </breakpoint_any>
    <ui_properties converted="true" />
    <breakpoint_rules converted="true" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="JavaFxApplication" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/controller/MainController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="94">
              <caret line="221" column="28" selection-start-line="221" selection-start-column="28" selection-end-line="221" selection-end-column="28" />
              <folding>
                <element signature="e#1328#1430#0" />
                <element signature="e#2661#3573#0" />
                <element signature="e#2916#3502#0" />
                <element signature="e#3209#3415#1" />
                <element signature="e#3420#3492#1" />
                <element signature="e#3522#3567#0" />
                <element signature="e#3579#4313#0" />
                <element signature="e#3638#4242#0" />
                <element signature="e#3877#4142#1" />
                <element signature="e#4160#4232#1" />
                <element signature="e#4262#4307#0" />
                <element signature="e#4319#4915#0" />
                <element signature="e#4490#4599#0" />
                <element signature="e#4623#4676#0" />
                <element signature="e#4794#4907#0" />
                <element signature="e#4921#5247#0" />
                <element signature="e#5253#5759#0" />
                <element signature="e#5765#6877#0" />
                <element signature="e#5920#6710#1" />
                <element signature="e#6491#6700#1" />
                <element signature="e#6714#6787#1" />
                <element signature="e#6966#7057#0" />
                <element signature="e#7240#7277#0" />
                <element signature="e#7371#7842#0" />
                <marker date="1568362148670" expanded="false" signature="1522:2579" ph="..." />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/model/Manager.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="310">
              <caret line="200" column="5" lean-forward="true" selection-start-line="200" selection-start-column="5" selection-end-line="200" selection-end-column="5" />
              <folding>
                <element signature="e#5906#5907#0" expanded="true" />
                <element signature="e#5968#5969#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/model/dao/EbookDao.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="132">
              <caret line="239" column="54" selection-start-line="239" selection-start-column="54" selection-end-line="239" selection-end-column="54" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="method#EbookDao#0;class#EbookDao#0" />
                <element signature="method#addBook#0;class#EbookDao#0" />
                <element signature="method#editBook#0;class#EbookDao#0" />
                <element signature="method#deleteBook#0;class#EbookDao#0" />
                <element signature="method#fetchAllBooks#0;class#EbookDao#0" />
                <element signature="method#addBookAuthor#0;class#EbookDao#0" />
                <element signature="method#deleteBookAuthor#0;class#EbookDao#0" />
                <element signature="method#search#0;class#EbookDao#0" />
                <element signature="method#filterByTagList#0;class#EbookDao#0" />
                <element signature="method#filterByAuthorTagList#0;class#EbookDao#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$APPLICATION_CONFIG_DIR$/consoles/db/e7eb8dd0-0dcd-4611-9e1a-2dd4586056da/console.sql">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1908">
              <caret line="106" column="135" selection-start-line="106" selection-start-column="135" selection-end-line="106" selection-end-column="135" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="FxmlFile" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>OUT_LIST</find>
      <find>querydao</find>
      <find>bookdao</find>
      <find>bookDao</find>
      <find>searc</find>
      <find>search</find>
      <find>searchdao</find>
      <find>tagComboBoxBook</find>
      <find>authorsName</find>
      <find>findAuthorById</find>
      <find>findByTag</find>
      <find>retrieveAllTags</find>
      <find>filterBookAuthorByAuthorId</find>
      <find>name</find>
      <find>book_id</find>
      <find>booktag</find>
      <find>addtobooktag</find>
      <find>handleC</find>
      <find>combobox</find>
      <find>TagComboBoxHome</find>
      <find>event</find>
      <find>initial</find>
      <find>author</find>
      <find>authorFilter</find>
      <find>main</find>
      <find>resource</find>
      <find>authorFilterCombo</find>
      <find>initialize</find>
      <find>authorfil</find>
      <find>filterbyautho</find>
    </findStrings>
    <dirStrings>
      <dir>C:\Users\fm\Documents\IdeaProjects\ebookmanager_lastversion2\src\main\java\UI</dir>
      <dir>C:\Users\fm\Documents\IdeaProjects\ebookmanager_lastversion2\src\main\java</dir>
      <dir>C:\Users\fm\Documents\IdeaProjects\Ebook manager\ebookmanager_lastversion2\src\main\resources</dir>
      <dir>C:\Users\fm\Documents\IdeaProjects\Ebook manager\ebookmanager_lastversion2\src\main\java</dir>
    </dirStrings>
  </component>
  <component name="FindManager">
    <FindUsagesManager>
      <setting name="OPEN_NEW_TAB" value="false" />
    </FindUsagesManager>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/model/Import.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Export.java" />
        <option value="$PROJECT_DIR$/src/main/java/UI/Main.java" />
        <option value="$PROJECT_DIR$/src/main/java/UI/Controller.java" />
        <option value="$PROJECT_DIR$/src/main/java/UI/BookController.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/view/Main.java" />
        <option value="$PROJECT_DIR$/src/main/java/view/Controller.java" />
        <option value="$PROJECT_DIR$/src/main/java/view/EditCommentController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/addAuthorForm.fxml" />
        <option value="$PROJECT_DIR$/src/main/resources/addNewAuthorForm.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/view/AuthorController.java" />
        <option value="$PROJECT_DIR$/src/main/java/view/AddTagToBook.java" />
        <option value="$PROJECT_DIR$/src/main/java/view/AddTag.java" />
        <option value="$PROJECT_DIR$/src/main/resources/addNewTagForm.fxml" />
        <option value="$PROJECT_DIR$/src/main/resources/addNewBookForm.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/model/Dao/QueryDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Dao/AuthorDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Dao/BookTagDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Dao/TagDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Dao/BookDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Comment.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Author.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Ebook.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Tag.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/tableObjects/Comment.java" />
        <option value="$PROJECT_DIR$/src/main/resources/forms/addNewBookForm.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/model/dao/BookTagDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/dao/CommentDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/dao/BookDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/view/ShowTagsofBook.java" />
        <option value="$PROJECT_DIR$/src/main/java/view/AddNewTag.java" />
        <option value="$PROJECT_DIR$/src/main/resources/forms/a.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/view/BookController.java" />
        <option value="$PROJECT_DIR$/src/main/java/view/TagController.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/dao/AuthorDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/tableObjects/Author.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/dao/TagDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/view/MainController.java" />
        <option value="$PROJECT_DIR$/src/main/java/controller/MainForm.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Filter.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Person.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/ComboBoxItemWrap.java" />
        <option value="$PROJECT_DIR$/src/main/resources/forms/mainForm2.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/controller/MainController2.java" />
        <option value="$PROJECT_DIR$/src/main/java/view/MainForm.java" />
        <option value="$PROJECT_DIR$/src/main/resources/forms/mainForm.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/controller/MainController.java" />
        <option value="$APPLICATION_CONFIG_DIR$/consoles/db/e7eb8dd0-0dcd-4611-9e1a-2dd4586056da/console.sql" />
        <option value="$PROJECT_DIR$/src/main/java/model/dao/EbookDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/model/Manager.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="finalEbook" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" />
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1378" />
    <option name="height" value="780" />
  </component>
  <component name="ProjectId" id="1PaLdRjpiFiPjiOWrTPC2RucTjk" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectReloadState">
    <option name="STATE" value="0" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="ebookmanager_lastversion2" type="b2602c69:ProjectViewProjectNode" />
              <item name="ebookmanager_lastversion2" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ebookmanager_lastversion2" type="b2602c69:ProjectViewProjectNode" />
              <item name="ebookmanager_lastversion2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ebookmanager_lastversion2" type="b2602c69:ProjectViewProjectNode" />
              <item name="ebookmanager_lastversion2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ebookmanager_lastversion2" type="b2602c69:ProjectViewProjectNode" />
              <item name="ebookmanager_lastversion2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ebookmanager_lastversion2" type="b2602c69:ProjectViewProjectNode" />
              <item name="ebookmanager_lastversion2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ebookmanager_lastversion2" type="b2602c69:ProjectViewProjectNode" />
              <item name="ebookmanager_lastversion2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ebookmanager_lastversion2" type="b2602c69:ProjectViewProjectNode" />
              <item name="ebookmanager_lastversion2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
              <item name="dao" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ebookmanager_lastversion2" type="b2602c69:ProjectViewProjectNode" />
              <item name="ebookmanager_lastversion2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="view" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="ebookmanager_lastversion2" type="b2602c69:ProjectViewProjectNode" />
              <item name="ebookmanager_lastversion2" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DatabaseDriversLRU" value="mysql" />
    <property name="Downloaded.Files.Path.Enabled" value="false" />
    <property name="GoToClass.includeLibraries" value="false" />
    <property name="GoToClass.toSaveIncludeLibraries" value="false" />
    <property name="GoToFile.includeJavaFiles" value="false" />
    <property name="MemberChooser.copyJavadoc" value="false" />
    <property name="MemberChooser.showClasses" value="true" />
    <property name="MemberChooser.sorted" value="false" />
    <property name="OverrideImplement.combined" value="false" />
    <property name="Repository.Attach.Annotations" value="false" />
    <property name="Repository.Attach.JavaDocs" value="false" />
    <property name="Repository.Attach.Sources" value="false" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="database.console.LAST_STATE" value="false" />
    <property name="dynamic.classpath" value="false" />
    <property name="extract.method.default.visibility" value="private" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../../jsakila/sakila" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="recentsLimit" value="5" />
    <property name="restartRequiresConfirmation" value="false" />
    <property name="settings.editor.selected.configurable" value="project.propVCSSupport.Mappings" />
  </component>
  <component name="RecentsManager">
    <key name="MoveClassesOrPackagesDialog.RECENTS_KEY">
      <recent name="java" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\fm\Documents\IdeaProjects\Ebook manager\ebookmanager_lastversion2\src\main\resources\forms" />
      <recent name="C:\Users\fm\Documents\IdeaProjects\ebookmanager_lastversion2\src\main\resources" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="controller" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\fm\Documents\IdeaProjects\Ebook manager\ebookmanager_lastversion2\src\main\resources\forms" />
      <recent name="C:\Users\fm\Documents\IdeaProjects\ebookmanager_lastversion2\src\main\resources" />
      <recent name="D:\bootcampmapsa\campproject\finalEbook\src" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="DartUnitRunConfigurationType" factoryName="DartUnit">
      <option name="VMOptions" />
      <option name="arguments" />
      <option name="filePath" />
      <option name="scope" value="ALL" />
      <option name="testName" />
      <method />
    </configuration>
    <configuration name="&lt;template&gt;" type="WebApp" default="true" selected="false">
      <Host>localhost</Host>
      <Port>5050</Port>
    </configuration>
    <configuration default="true" type="Applet">
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application">
      <option name="MAIN_CLASS_NAME" value="view.MainForm" />
      <module name="finalEbook" />
      <option name="VM_PARAMETERS" value="--module-path &quot;C:\Users\fm\Downloads\javafx-sdk-12.0.2\lib&quot; --add-modules javafx.controls,javafx.fxml " />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="sample.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <RunnerSettings RunnerId="Run" />
      <ConfigurationWrapper RunnerId="Run" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Main" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="UI.Main" />
      <module name="finalEbook" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="UI.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="moduleWithDependencies" />
      </option>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="TestNG">
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="moduleWithDependencies" />
      </option>
      <properties />
      <listeners />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file enabled="true" id="idea.log" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Main" />
      </list>
    </recent_temporary>
  </component>
  <component name="ServiceViewManager">
    <option name="allServicesViewState">
      <serviceView>
        <treeState>
          <expand>
            <path>
              <item name="services root" type="e789fda9:ObjectUtils$Sentinel" />
              <item name="com.intellij.execution.services.ServiceModel$ServiceGroupNode@7c8cfd74" type="7427dc5b:ServiceModel$ServiceGroupNode" />
            </path>
            <path>
              <item name="services root" type="e789fda9:ObjectUtils$Sentinel" />
              <item name="com.intellij.execution.services.ServiceModel$ServiceGroupNode@7c8cfd74" type="7427dc5b:ServiceModel$ServiceGroupNode" />
              <item name="com.intellij.execution.services.ServiceModel$ServiceNode@30cb631b" type="9fbbdea:ServiceModel$ServiceNode" />
            </path>
          </expand>
          <select />
        </treeState>
      </serviceView>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="cdb932d9-7e58-4d94-93a9-e7b232ef17da" name="Default" comment="" />
      <created>1359379246138</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1359379246138</updated>
      <workItem from="1359379250712" duration="1302000" />
      <workItem from="1566047996014" duration="15985000" />
      <workItem from="1566107352711" duration="6898000" />
      <workItem from="1566118233219" duration="276000" />
      <workItem from="1566122865319" duration="4948000" />
      <workItem from="1566128172665" duration="12548000" />
      <workItem from="1566140998471" duration="4498000" />
      <workItem from="1566145856287" duration="358000" />
      <workItem from="1566188771798" duration="7435000" />
      <workItem from="1566203344250" duration="6439000" />
      <workItem from="1567524328190" duration="12236000" />
      <workItem from="1567571718314" duration="577000" />
      <workItem from="1567688610284" duration="54432000" />
      <workItem from="1567830533072" duration="576000" />
      <workItem from="1567831686900" duration="926000" />
      <workItem from="1567845578552" duration="1088000" />
      <workItem from="1567876620376" duration="4839000" />
      <workItem from="1567923716366" duration="593000" />
      <workItem from="1568136375447" duration="3475000" />
      <workItem from="1568177075318" duration="9964000" />
      <workItem from="1568219210827" duration="10902000" />
      <workItem from="1568298294860" duration="4169000" />
      <workItem from="1568354786704" duration="17957000" />
      <workItem from="1568435913243" duration="669000" />
      <workItem from="1568477426632" duration="2195000" />
      <workItem from="1569829352496" duration="4595000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="165695000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.204236" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.28805238" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.49838188" weight="0.19967267" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.11620294" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.3289689" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" weight="0.3289689" />
      <window_info anchor="bottom" id="Database Changes" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="10" weight="0.3289689" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.50161815" side_tool="true" weight="0.3281493" />
      <window_info anchor="bottom" id="Messages" order="12" weight="0.17839608" />
      <window_info anchor="bottom" id="Database Console" order="13" weight="0.39116204" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Database" order="4" weight="0.20574887" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Maven" order="6" weight="0.24659607" />
      <window_info anchor="right" id="Capture Analysis" order="7" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="OFFER_MOVE_TO_ANOTHER_CHANGELIST_ON_PARTIAL_COMMIT" value="true" />
    <option name="INCLUDE_TEXT_INTO_SHELF" value="false" />
    <ignored-roots>
      <path value="$PROJECT_DIR$/.." />
    </ignored-roots>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$APPLICATION_CONFIG_DIR$/consoles/db/a7ee37de-d1ff-4081-b605-5e8dfa60ab3e/console.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" column="17" lean-forward="true" selection-start-line="4" selection-start-column="17" selection-end-line="4" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="das://a7ee37de-d1ff-4081-b605-5e8dfa60ab3e/schema/bookdatabase/table/author" />
    <entry file="das://a7ee37de-d1ff-4081-b605-5e8dfa60ab3e/schema/bookdatabase/table/book" />
    <entry file="file://$PROJECT_DIR$/.idea/workspace.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-630">
          <caret line="12" column="14" lean-forward="true" selection-start-line="12" selection-start-column="14" selection-end-line="12" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="das://a7ee37de-d1ff-4081-b605-5e8dfa60ab3e/schema/bookdatabase/table/bookauthor" />
    <entry file="file://$PROJECT_DIR$/src/main/java/model/FileCopy.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="19" column="46" selection-start-line="19" selection-start-column="40" selection-end-line="19" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="das://e7eb8dd0-0dcd-4611-9e1a-2dd4586056da/schema/bookdatabase/table/author">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state projectRestartId="7e0d43a0-6c91-4470-9829-04b68a8eec0e">
          <filtering>
            <filter text="" />
          </filtering>
        </state>
      </provider>
    </entry>
    <entry file="das://e7eb8dd0-0dcd-4611-9e1a-2dd4586056da/schema/bookdatabase/table/book">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state projectRestartId="7e0d43a0-6c91-4470-9829-04b68a8eec0e">
          <filtering>
            <filter text="" />
          </filtering>
        </state>
      </provider>
    </entry>
    <entry file="das://e7eb8dd0-0dcd-4611-9e1a-2dd4586056da/schema/bookdatabase/table/bookauthor">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state projectRestartId="7e0d43a0-6c91-4470-9829-04b68a8eec0e">
          <filtering>
            <filter text="" />
          </filtering>
        </state>
      </provider>
    </entry>
    <entry file="das://e7eb8dd0-0dcd-4611-9e1a-2dd4586056da/schema/bookdatabase/table/booktag">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state projectRestartId="7e0d43a0-6c91-4470-9829-04b68a8eec0e">
          <filtering>
            <filter text="" />
          </filtering>
        </state>
      </provider>
    </entry>
    <entry file="das://e7eb8dd0-0dcd-4611-9e1a-2dd4586056da/schema/bookdatabase/table/comments">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state projectRestartId="7e0d43a0-6c91-4470-9829-04b68a8eec0e">
          <filtering>
            <filter text="" />
          </filtering>
        </state>
      </provider>
    </entry>
    <entry file="das://e7eb8dd0-0dcd-4611-9e1a-2dd4586056da/schema/bookdatabase/table/tag">
      <provider selected="true" editor-type-id="com.intellij.database.editor.DatabaseTableFileEditorProvider">
        <state projectRestartId="7e0d43a0-6c91-4470-9829-04b68a8eec0e">
          <filtering>
            <filter text="" />
          </filtering>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/Export.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-126">
          <caret line="29" selection-start-line="29" selection-end-line="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="222">
          <caret line="42" column="36" lean-forward="true" selection-start-line="42" selection-start-column="36" selection-end-line="42" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-12.0.1/lib/src.zip!/java.sql/java/sql/DriverManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="104">
          <caret line="701" column="14" selection-start-line="701" selection-start-column="14" selection-end-line="701" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/forms/addNewAuthorForm.fxml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="234">
          <caret line="13" lean-forward="true" selection-start-line="13" selection-end-line="13" />
        </state>
      </provider>
      <provider editor-type-id="JavaFX-Scene-Builder" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/forms/addNewTagForm.fxml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="234">
          <caret line="13" lean-forward="true" selection-start-line="13" selection-end-line="13" />
        </state>
      </provider>
      <provider editor-type-id="JavaFX-Scene-Builder" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/Dao/QueryDao.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/model/Dao/SearchDao.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/model/Table.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-18">
          <caret line="4" lean-forward="true" selection-start-line="4" selection-end-line="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/Import.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="128">
          <caret line="91" column="36" selection-start-line="91" selection-start-column="36" selection-end-line="91" selection-end-column="36" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/tableObjects/Tag.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/tableObjects/Comment.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="5" column="13" selection-start-line="5" selection-start-column="13" selection-end-line="5" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/forms/editCommentForm.fxml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="12" column="13" lean-forward="true" selection-start-line="12" selection-start-column="13" selection-end-line="12" selection-end-column="13" />
        </state>
      </provider>
      <provider editor-type-id="JavaFX-Scene-Builder" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/view/AddTagToBook.java" />
    <entry file="file://$PROJECT_DIR$/src/main/resources/forms/addNewBookForm.fxml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="71">
          <caret line="119" column="55" selection-start-line="119" selection-start-column="55" selection-end-line="119" selection-end-column="55" />
        </state>
      </provider>
      <provider editor-type-id="JavaFX-Scene-Builder" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/dao/BookTagDao.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/view/AddNewTag.java" />
    <entry file="file://$PROJECT_DIR$/src/main/resources/forms/a.fxml" />
    <entry file="file://$PROJECT_DIR$/src/main/java/controller/TagController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="477">
          <caret line="38" selection-start-line="38" selection-end-line="38" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="method#addNewTag#0;class#TagController#0" />
            <element signature="method#getTags#0;class#TagController#0" />
            <element signature="method#handleNewTag#0;class#TagController#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/tableObjects/Author.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="372">
          <caret line="30" column="15" selection-start-line="30" selection-start-column="15" selection-end-line="30" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/tableObjects/Ebook.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-495">
          <caret line="20" column="20" lean-forward="true" selection-start-line="20" selection-start-column="20" selection-end-line="20" selection-end-column="20" />
          <folding>
            <element signature="method#toString#0;class#Ebook#0" />
            <element signature="method#equals#0;class#Ebook#0" />
            <element signature="method#hashCode#0;class#Ebook#0" />
            <element signature="method#Ebook#1;class#Ebook#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-12.0.1/lib/src.zip!/java.base/jdk/internal/misc/Unsafe.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="2295" column="23" selection-start-line="2295" selection-start-column="23" selection-end-line="2295" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/dao/TagDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-132">
          <caret line="82" column="57" selection-start-line="82" selection-start-column="57" selection-end-line="82" selection-end-column="57" />
          <folding>
            <element signature="method#addTag#0;class#TagDao#0" />
            <element signature="method#deleteTag#0;class#TagDao#0" />
            <element signature="method#editTag#0;class#TagDao#0" />
            <element signature="method#fetchAllTags#0;class#TagDao#0" />
            <element signature="method#fetchAllTagsName#0;class#TagDao#0" />
            <element signature="method#getTag#0;class#TagDao#0" />
            <element signature="method#filterBooksByTag#0;class#TagDao#0" />
            <element signature="method#findTagsbyBook#0;class#TagDao#0" />
            <element signature="method#addToBookTag#0;class#TagDao#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/controller/ShowTagsofBook.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="749">
          <caret line="53" column="58" lean-forward="true" selection-start-line="53" selection-start-column="58" selection-end-line="54" selection-end-column="56" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/Person.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="14" column="21" selection-start-line="14" selection-start-column="21" selection-end-line="14" selection-end-column="21" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#424#425#0" expanded="true" />
            <element signature="e#451#452#0" expanded="true" />
            <element signature="e#487#488#0" expanded="true" />
            <element signature="e#525#526#0" expanded="true" />
            <element signature="e#571#572#0" expanded="true" />
            <element signature="e#607#608#0" expanded="true" />
            <element signature="e#669#670#0" expanded="true" />
            <element signature="e#700#701#0" expanded="true" />
            <element signature="e#743#744#0" expanded="true" />
            <element signature="e#785#786#0" expanded="true" />
            <element signature="e#838#839#0" expanded="true" />
            <element signature="e#878#879#0" expanded="true" />
            <element signature="e#924#925#0" expanded="true" />
            <element signature="e#989#990#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/controller/AuthorController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="324">
          <caret line="30" column="16" selection-start-line="30" selection-start-column="16" selection-end-line="30" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/controller/EditCommentController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="324">
          <caret line="18" lean-forward="true" selection-start-line="18" selection-end-line="18" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/controller/BookController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="177">
          <caret line="145" column="81" selection-start-line="145" selection-start-column="73" selection-end-line="145" selection-end-column="81" />
          <folding>
            <element signature="method#showAuthors#0;class#BookController#0" />
            <element signature="method#addNewAuthors#0;class#BookController#0" />
            <element signature="method#addAuthor#0;class#BookController#0" />
            <element signature="method#addTag#0;class#BookController#0" />
            <element signature="method#showTags#0;class#BookController#0" />
            <element signature="method#browse#0;class#BookController#0" />
            <element signature="method#saveNewBook#0;class#BookController#0" />
            <element signature="method#saveBookInfo#0;class#BookController#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/forms/mainForm2.fxml" />
    <entry file="file://$PROJECT_DIR$/src/main/resources/forms/mainForm.fxml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="107" column="68" selection-start-line="107" selection-start-column="68" selection-end-line="107" selection-end-column="68" />
        </state>
      </provider>
      <provider editor-type-id="JavaFX-Scene-Builder" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/ComboBoxItemWrap.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="20" column="27" selection-start-line="20" selection-start-column="11" selection-end-line="20" selection-end-column="27" />
          <folding>
            <element signature="imports" expanded="true" />
            <marker date="1568178904861" expanded="false" signature="2458:4863" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/controller/MainController2.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/view/MainForm.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="12" column="77" selection-start-line="12" selection-start-column="77" selection-end-line="12" selection-end-column="77" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/dao/CommentDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="35" lean-forward="true" selection-start-line="35" selection-end-line="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/dao/AuthorDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="534">
          <caret line="88" column="13" lean-forward="true" selection-start-line="88" selection-start-column="13" selection-end-line="88" selection-end-column="13" />
          <folding>
            <element signature="class#AuthorStatement#0;class#AuthorDao#0" />
            <element signature="method#AuthorDao#0;class#AuthorDao#0" />
            <element signature="method#fetchAllAuthors#0;class#AuthorDao#0" />
            <element signature="method#findAuthorsById#0;class#AuthorDao#0" />
            <element signature="method#addAuthor#0;class#AuthorDao#0" />
            <element signature="method#editAuthor#0;class#AuthorDao#0" />
            <element signature="method#deleteAuthor#0;class#AuthorDao#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-12.0.1/lib/src.zip!/java.sql/java/sql/Connection.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="138" column="22" selection-start-line="138" selection-start-column="22" selection-end-line="138" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$APPLICATION_CONFIG_DIR$/consoles/db/e7eb8dd0-0dcd-4611-9e1a-2dd4586056da/console.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1908">
          <caret line="106" column="135" selection-start-line="106" selection-start-column="135" selection-end-line="106" selection-end-column="135" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/dao/EbookDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="239" column="54" selection-start-line="239" selection-start-column="54" selection-end-line="239" selection-end-column="54" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="method#EbookDao#0;class#EbookDao#0" />
            <element signature="method#addBook#0;class#EbookDao#0" />
            <element signature="method#editBook#0;class#EbookDao#0" />
            <element signature="method#deleteBook#0;class#EbookDao#0" />
            <element signature="method#fetchAllBooks#0;class#EbookDao#0" />
            <element signature="method#addBookAuthor#0;class#EbookDao#0" />
            <element signature="method#deleteBookAuthor#0;class#EbookDao#0" />
            <element signature="method#search#0;class#EbookDao#0" />
            <element signature="method#filterByTagList#0;class#EbookDao#0" />
            <element signature="method#filterByAuthorTagList#0;class#EbookDao#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/controller/MainController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="94">
          <caret line="221" column="28" selection-start-line="221" selection-start-column="28" selection-end-line="221" selection-end-column="28" />
          <folding>
            <element signature="e#1328#1430#0" />
            <element signature="e#2661#3573#0" />
            <element signature="e#2916#3502#0" />
            <element signature="e#3209#3415#1" />
            <element signature="e#3420#3492#1" />
            <element signature="e#3522#3567#0" />
            <element signature="e#3579#4313#0" />
            <element signature="e#3638#4242#0" />
            <element signature="e#3877#4142#1" />
            <element signature="e#4160#4232#1" />
            <element signature="e#4262#4307#0" />
            <element signature="e#4319#4915#0" />
            <element signature="e#4490#4599#0" />
            <element signature="e#4623#4676#0" />
            <element signature="e#4794#4907#0" />
            <element signature="e#4921#5247#0" />
            <element signature="e#5253#5759#0" />
            <element signature="e#5765#6877#0" />
            <element signature="e#5920#6710#1" />
            <element signature="e#6491#6700#1" />
            <element signature="e#6714#6787#1" />
            <element signature="e#6966#7057#0" />
            <element signature="e#7240#7277#0" />
            <element signature="e#7371#7842#0" />
            <marker date="1568362148670" expanded="false" signature="1522:2579" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/model/Manager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="310">
          <caret line="200" column="5" lean-forward="true" selection-start-line="200" selection-start-column="5" selection-end-line="200" selection-end-column="5" />
          <folding>
            <element signature="e#5906#5907#0" expanded="true" />
            <element signature="e#5968#5969#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>finalEbook</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>mysql-connector-java-8.0.15</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>